QGIS Application - Bug report #20808
WFS2 GetFeature over python interface fails with QGIS versions 2.18.21<
2018-12-14 02:28 AM - Simon Planzer

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.18.21 Regression?: Yes

Operating System: Ubuntu 16. Issue seen with windows users [Hasy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 28627
Description

Issue originally summarized against my own product as below (Apologies, the example requires an API for data.linz.govt.nz):

*QGIS 2.18.17 *

uri =
'https://data.linz.govt.nz/services;key=<API|_KEY>/wfs?SERVICE=wfs&VERSION=2.0.0& REQUEST=GetFeature&TYPENAME=data
data.linz.govt.nz:layer-50221'

layer=QgsVectorLayer(uri, 'test’, 'WFS')
layer.isValid()
True

*QGIS 2.18.26*

uri =
'https://data.linz.govt.nz/services;key=<API|_KEY>/wfs?SERVICE=wfs&VERSION=2.0.0&REQUEST=GetFeature&TYPENAME=data
data.linz.govt.nz:layer-50221'

layer=QgsVectorLayer(uri, 'test’, 'WFS')
# QGIS HANGS AND NEVER RECOVERS!!

I do note a WFS2 source code change (
https://github.com/qgis/QGIS/compare/final-2 18 20..final-2 18 21#diff-7f83d21b1d3b1afc39d33a7c9560cb59R439) between 2.18.20
an 2.18.21 monitoruf WFS2 responses. Perhaps related???

Anyone info you require please ask

History

#1 - 2018-12-17 08:45 AM - Simon Planzer

Issue originally summarized against my own product as below:

*QGIS 2.18.17 *
https://github.com/qgis/QGIS/compare/final-2_18_20..final-2_18_21#diff-7f83d21b1d3b1afc39d33a7c9560cb59R439

uri =
'https://data.linz.govt.nz/services;key=9f6{324fd21941d08fc821ba7718958c/wfs?SERVICE=wfs& VERSION=2.0.0&REQUEST=GetFeature&TYPENAME=
ENAME=data.linz.govt.nz:layer-50221'

layer=QgsVectorLayer(uri, 'test’, 'WFS")
layer.isValid()
True

*QGIS 2.18.26*

uri =
'https://data.linz.govt.nz/services;key=9f6f{324fd21941d08fc821ba7718958c/wfs?SERVICE=wfs& VERSION=2.0.0&REQUEST=GetFeature&TYPENAME=
ENAME=data.linz.govt.nz:layer-50221'

layer=QgsVectorLayer(uri, 'test’, 'WFS")
# QGIS HANGS AND NEVER RECOVERS!!!

| do note a WFS2 source code change (
https://github.com/qgis/QGIS/compare/final-2_18 20..final-2_18_21#diff-7f{83d21b1d3b1afc39d33a7c9560cb59R439) between 2.18.20 an 2.18.21

monitoruf WFS2 responses. Perhaps related???

Anyone info you require please ask

- Note | have edited this to include a temporary API key (in above wfs url) for this service to support debugging

#2 - 2019-01-20 10:26 PM - Nyall Dawson
- Status changed from Open to Feedback

Please test with 3.4 - 2.18 is no longer supported

#3 - 2019-01-21 12:35 AM - Jiirgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-01-21 08:20 PM - Simon Planzer

| can confirm this is not an issue with 3.4

#5 - 2019-01-21 08:26 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
https://github.com/qgis/QGIS/compare/final-2_18_20..final-2_18_21#diff-7f83d21b1d3b1afc39d33a7c9560cb59R439

